--- old/usr/src/uts/common/fs/zfs/space_map.c	Tue Oct  1 14:04:43 2013
+++ new/usr/src/uts/common/fs/zfs/space_map.c	Tue Oct  1 14:04:43 2013
@@ -474,8 +474,6 @@
 {
 	objset_t *os = sm->sm_os;
 	spa_t *spa = dmu_objset_spa(os);
-	zfeature_info_t *space_map_histogram =
-	    &spa_feature_table[SPA_FEATURE_SPACEMAP_HISTOGRAM];
 	dmu_object_info_t doi;
 	int bonuslen;
 
@@ -485,7 +483,7 @@
 	VERIFY0(dmu_free_range(os, space_map_object(sm), 0, -1ULL, tx));
 	dmu_object_info_from_db(sm->sm_dbuf, &doi);
 
-	if (spa_feature_is_enabled(spa, space_map_histogram)) {
+	if (spa_feature_is_enabled(spa, SPA_FEATURE_SPACEMAP_HISTOGRAM)) {
 		bonuslen = sizeof (space_map_phys_t);
 		ASSERT3U(bonuslen, <=, dmu_bonus_max());
 	} else {
@@ -525,13 +523,11 @@
 space_map_alloc(objset_t *os, dmu_tx_t *tx)
 {
 	spa_t *spa = dmu_objset_spa(os);
-	zfeature_info_t *space_map_histogram =
-	    &spa_feature_table[SPA_FEATURE_SPACEMAP_HISTOGRAM];
 	uint64_t object;
 	int bonuslen;
 
-	if (spa_feature_is_enabled(spa, space_map_histogram)) {
-		spa_feature_incr(spa, space_map_histogram, tx);
+	if (spa_feature_is_enabled(spa, SPA_FEATURE_SPACEMAP_HISTOGRAM)) {
+		spa_feature_incr(spa, SPA_FEATURE_SPACEMAP_HISTOGRAM, tx);
 		bonuslen = sizeof (space_map_phys_t);
 		ASSERT3U(bonuslen, <=, dmu_bonus_max());
 	} else {
@@ -549,20 +545,20 @@
 space_map_free(space_map_t *sm, dmu_tx_t *tx)
 {
 	spa_t *spa;
-	zfeature_info_t *space_map_histogram =
-	    &spa_feature_table[SPA_FEATURE_SPACEMAP_HISTOGRAM];
 
 	if (sm == NULL)
 		return;
 
 	spa = dmu_objset_spa(sm->sm_os);
-	if (spa_feature_is_enabled(spa, space_map_histogram)) {
+	if (spa_feature_is_enabled(spa, SPA_FEATURE_SPACEMAP_HISTOGRAM)) {
 		dmu_object_info_t doi;
 
 		dmu_object_info_from_db(sm->sm_dbuf, &doi);
 		if (doi.doi_bonus_size != SPACE_MAP_SIZE_V0) {
-			VERIFY(spa_feature_is_active(spa, space_map_histogram));
-			spa_feature_decr(spa, space_map_histogram, tx);
+			VERIFY(spa_feature_is_active(spa,
+			    SPA_FEATURE_SPACEMAP_HISTOGRAM));
+			spa_feature_decr(spa,
+			    SPA_FEATURE_SPACEMAP_HISTOGRAM, tx);
 		}
 	}
 
